Module java.base
Package java.util.function

## Interface BooleanSupplier

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BooleanSupplier

  Represents a supplier of `boolean`-valued results. This is the `boolean`-producing primitive specialization of `Supplier`.

  There is no requirement that a new or distinct result be returned each time the supplier is invoked.

  This is a functional interface whose functional method is `getAsBoolean()`.

  Since:
    1.8
  See Also:
    `Supplier`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAsBoolean​()` | Gets a result.

- - ### Method Detail

    - #### getAsBoolean

          boolean getAsBoolean​()

      Gets a result.
      Returns:
        a result